drop table if exists ${DBNAME_EDW}.f_tr_actuacion_detallada;

drop table if exists ${DBNAME_EDW}.f_tr_actuacion_detallada_reinyect;


create table ${DBNAME_EDW}.f_tr_actuacion_detallada
(
ani_cd string ,
operacion_fh timestamp ,
operacion_actuacion_cd string ,
usuario_ultima_modificacion_cd string ,
causa_cd string ,
importe_inicial_mo double ,
importe_abono_mo double ,
importe_recarga_mo double ,
importe_especial_mo double ,
importe_bolsa5_mo double ,
importe_bolsa6_mo double ,
importe_coste_mo double ,
bono_cd string ,
categoria_abonado_cd string ,
referencia_recarga_cd string ,
origen_recarga_cd string ,
promocion_cd string ,
secuencia_actuacion_recarga_nr bigint ,
modalidad_tipo_prepago_cd string ,
nombre_usuario_oracle_de string ,
tecnologia_cd string ,
subactuacion_cd int ,
actuacion_anulada_cd bigint ,
caducidad_actuacion_fh timestamp ,
serie_tarjeta_rasca_nr bigint ,
identificador_peticiongesto_cd string ,
importe_penalizacion_mo double ,
importe_compensacion_deuda_mo double ,
importe_pend_monedero_deuda_mo double ,
compensacion_total_fl string ,
fecha_compensacion_fh timestamp ,
inicio_uso_deuda_fh timestamp ,
nombre_extractor_tx string ,
fecha_proceso int ,
actuacion_subtipo_id int,
metodo_recarga_id int,
motivo_ajuste_id int,
moneda_id int,
bono_id int,
promocion_id int,
sistema_origen_id int ,

suscripcion_id int,
suscripcion_cd string,
interurbano_cd string,
urbano_cd string,
linea_cd string,
tipo_oferta_id tinyint,
tipo_oferta_de string,
catalogo_producto_id int,
catalogo_producto_cd string,
catalogo_producto_de string,
geografia_cnc_id int,
geografia_cnc_cd string,
sub_alm_cd string,
alm_cd string,
sub_region_cnc_id tinyint,
sub_region_cnc_de string,
region_cnc_id tinyint,
region_cnc_de string,
flag_prepago_express_id tinyint,
operadora_propietaria_id int,
operadora_propietaria_cd string,
operadora_propietaria_de string,
operadora_receptora_id int,
operadora_receptora_cd string,
operadora_receptora_de string,
operadora_donante_id int,
operadora_donante_cd string,
operadora_donante_de string,
flag_volte_id tinyint,
flag_volte_cd string,
flag_volte_de string,
equipo_tecnologia_id smallint,
equipo_tecnologia_cd string,
equipo_tecnologia_de string,
equipo_utilizado_tecnologia_id smallint,
equipo_utilizado_tecnologia_cd string,
equipo_utilizado_tecnologia_de string,
catalogo_equipo_id int,
catalogo_equipo_cd string,
catalogo_equipo_de string,
estado_suscripcion_id smallint,
estado_suscripcion_cd string,
estado_suscripcion_de string,
fecha_estado_suscripcion_id date,
cliente_id int,
cliente_cd string,
sub_tipo_cliente_id tinyint,
sub_tipo_cliente_cd string,
sub_tipo_cliente_de string,
tipo_cliente_id tinyint,
tipo_cliente_cd string,
tipo_cliente_de string,
ciclo_facturacion_id tinyint,
ciclo_facturacion_cd string,
ciclo_facturacion_de string,
score_economico_id smallint,
score_economico_cd string,
score_economico_de string,
operadora_larga_distancia_id int,
operadora_larga_distancia_cd string,
operadora_larga_distancia_de string
)
partitioned by (fecha int)
CLUSTERED BY (ani_cd) INTO 8 BUCKETS
stored as orc;

create table ${DBNAME_EDW}.f_tr_actuacion_detallada_reinyect
(
ani_cd string ,
operacion_fh timestamp ,
operacion_actuacion_cd string ,
usuario_ultima_modificacion_cd string ,
causa_cd string ,
importe_inicial_mo double ,
importe_abono_mo double ,
importe_recarga_mo double ,
importe_especial_mo double ,
importe_bolsa5_mo double ,
importe_bolsa6_mo double ,
importe_coste_mo double ,
bono_cd string ,
categoria_abonado_cd string ,
referencia_recarga_cd string ,
origen_recarga_cd string ,
promocion_cd string ,
secuencia_actuacion_recarga_nr bigint ,
modalidad_tipo_prepago_cd string ,
nombre_usuario_oracle_de string ,
tecnologia_cd string ,
subactuacion_cd int ,
actuacion_anulada_cd bigint ,
caducidad_actuacion_fh timestamp ,
serie_tarjeta_rasca_nr bigint ,
identificador_peticiongesto_cd string ,
importe_penalizacion_mo double ,
importe_compensacion_deuda_mo double ,
importe_pend_monedero_deuda_mo double ,
compensacion_total_fl string ,
fecha_compensacion_fh timestamp ,
inicio_uso_deuda_fh timestamp ,
nombre_extractor_tx string ,
fecha_proceso int ,
actuacion_subtipo_id int,
metodo_recarga_id int,
motivo_ajuste_id int,
moneda_id int,
bono_id int,
promocion_id int,
sistema_origen_id int ,

suscripcion_id int,
suscripcion_cd string,
interurbano_cd string,
urbano_cd string,
linea_cd string,
tipo_oferta_id tinyint,
tipo_oferta_de string,
catalogo_producto_id int,
catalogo_producto_cd string,
catalogo_producto_de string,
geografia_cnc_id int,
geografia_cnc_cd string,
sub_alm_cd string,
alm_cd string,
sub_region_cnc_id tinyint,
sub_region_cnc_de string,
region_cnc_id tinyint,
region_cnc_de string,
flag_prepago_express_id tinyint,
operadora_propietaria_id int,
operadora_propietaria_cd string,
operadora_propietaria_de string,
operadora_receptora_id int,
operadora_receptora_cd string,
operadora_receptora_de string,
operadora_donante_id int,
operadora_donante_cd string,
operadora_donante_de string,
flag_volte_id tinyint,
flag_volte_cd string,
flag_volte_de string,
equipo_tecnologia_id smallint,
equipo_tecnologia_cd string,
equipo_tecnologia_de string,
equipo_utilizado_tecnologia_id smallint,
equipo_utilizado_tecnologia_cd string,
equipo_utilizado_tecnologia_de string,
catalogo_equipo_id int,
catalogo_equipo_cd string,
catalogo_equipo_de string,
estado_suscripcion_id smallint,
estado_suscripcion_cd string,
estado_suscripcion_de string,
fecha_estado_suscripcion_id date,
cliente_id int,
cliente_cd string,
sub_tipo_cliente_id tinyint,
sub_tipo_cliente_cd string,
sub_tipo_cliente_de string,
tipo_cliente_id tinyint,
tipo_cliente_cd string,
tipo_cliente_de string,
ciclo_facturacion_id tinyint,
ciclo_facturacion_cd string,
ciclo_facturacion_de string,
score_economico_id smallint,
score_economico_cd string,
score_economico_de string,
operadora_larga_distancia_id int,
operadora_larga_distancia_cd string,
operadora_larga_distancia_de string,
error_cd string,
reinyectable string
)
CLUSTERED BY (ani_cd) INTO 8 BUCKETS
stored as orc;
